settings.logAddedRecipes = true
settings.logRemovedRecipes = true

events.listen('recipes', function (event) {
    event.shaped(item.of('minecraft:stick', 16), ['S','S'], 
    {
        S: '#minecraft:logs'
    })

    //Comforts

    event.shaped(item.of('comforts:rope_and_nail', 1), ['RR ','RI ','  R'], 
    {
        R: 'farmersdelight:rope',
        I: '#forge:ingots/iron'
    })

    //Create

    event.shaped(item.of('create:mechanical_crafter', 3), [' E ','CBC',' W '],
    {
        E: 'create:electron_tube',
        C: 'create:cogwheel',
        B: 'create:brass_casing',
        W: '#forge:workbench'
    })

    //Macaw's Bridges

    event.shaped(item.of('mcwbridges:rope_oak_bridge', 4), ['   ','R R','SSS'],
    {
        R: 'farmersdelight:rope',
        S: 'minecraft:oak_slab'
    })

    
    event.shaped(item.of('mcwbridges:rope_oak_bridge_end', 4), ['R R','F F','SSS'],
    {
        R: 'farmersdelight:rope',
        S: 'minecraft:oak_slab',
        F: 'minecraft:oak_fence'
    })

    event.shaped(item.of('mcwbridges:rope_birch_bridge', 4), ['   ','R R','SSS'],
    {
        R: 'farmersdelight:rope',
        S: 'minecraft:birch_slab'
    })

    
    event.shaped(item.of('mcwbridges:rope_birch_bridge_end', 4), ['R R','F F','SSS'],
    {
        R: 'farmersdelight:rope',
        S: 'minecraft:birch_slab',
        F: 'minecraft:birch_fence'
    })

    event.shaped(item.of('mcwbridges:rope_spruce_bridge', 4), ['   ','R R','SSS'],
    {
        R: 'farmersdelight:rope',
        S: 'minecraft:spruce_slab'
    })

    
    event.shaped(item.of('mcwbridges:rope_spruce_bridge_end', 4), ['R R','F F','SSS'],
    {
        R: 'farmersdelight:rope',
        S: 'minecraft:spruce_slab',
        F: 'minecraft:spruce_fence'
    })

    event.shaped(item.of('mcwbridges:rope_jungle_bridge', 4), ['   ','R R','SSS'],
    {
        R: 'farmersdelight:rope',
        S: 'minecraft:jungle_slab'
    })

    
    event.shaped(item.of('mcwbridges:rope_jungle_bridge_end', 4), ['R R','F F','SSS'],
    {
        R: 'farmersdelight:rope',
        S: 'minecraft:jungle_slab',
        F: 'minecraft:jungle_fence'
    })

    event.shaped(item.of('mcwbridges:rope_acacia_bridge', 4), ['   ','R R','SSS'],
    {
        R: 'farmersdelight:rope',
        S: 'minecraft:acacia_slab'
    })

    
    event.shaped(item.of('mcwbridges:rope_acacia_bridge_end', 4), ['R R','F F','SSS'],
    {
        R: 'farmersdelight:rope',
        S: 'minecraft:acacia_slab',
        F: 'minecraft:acacia_fence'
    })

    event.shaped(item.of('mcwbridges:rope_dark_oak_bridge', 4), ['   ','R R','SSS'],
    {
        R: 'farmersdelight:rope',
        S: 'minecraft:dark_oak_slab'
    })

    
    event.shaped(item.of('mcwbridges:rope_dark_oak_bridge_end', 4), ['R R','F F','SSS'],
    {
        R: 'farmersdelight:rope',
        S: 'minecraft:dark_oak_slab',
        F: 'minecraft:dark_oak_fence'
    })
    event.shaped(item.of('mcwbridges:rope_crimson_bridge', 4), ['   ','R R','SSS'],
    {
        R: 'farmersdelight:rope',
        S: 'minecraft:crimson_slab'
    })

    
    event.shaped(item.of('mcwbridges:rope_crimson_bridge_end', 4), ['R R','F F','SSS'],
    {
        R: 'farmersdelight:rope',
        S: 'minecraft:crimson_slab',
        F: 'minecraft:crimson_fence'
    })
    event.shaped(item.of('mcwbridges:rope_warped_bridge', 4), ['   ','R R','SSS'],
    {
        R: 'farmersdelight:rope',
        S: 'minecraft:warped_slab'
    })

    
    event.shaped(item.of('mcwbridges:rope_warped_bridge_end', 4), ['R R','F F','SSS'],
    {
        R: 'farmersdelight:rope',
        S: 'minecraft:warped_slab',
        F: 'minecraft:warped_fence'
    })

    //Waystones

    event.shaped(item.of('waystones:warp_stone', 1), ['GPG','PEP','GPG'],
    {
        G: 'greater_eye:greater_eye_end',
        P: 'botania:mana_pearl',
        E: 'minecraft:emerald'
    })
});
